## imcode.util
Class IntegerSet

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet
              imcode.util.IntegerSet

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection, java.util.Set

    public class IntegerSet

extends java.util.AbstractSet

Constructor Summary
`IntegerSet(int integer)`
`IntegerSet(int[] ints)`

Method Summary
`java.util.Iterator` `iterator()`
`int` `size()`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### IntegerSet

    public IntegerSet(int integer)

### IntegerSet

    public IntegerSet(int[] ints)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`